Package net.postgis.jdbc.geometry.binary

## Class ValueGetter.NDR

- java.lang.Object
- - net.postgis.jdbc.geometry.binary.ValueGetter
  - - net.postgis.jdbc.geometry.binary.ValueGetter.NDR

Enclosing class:
  ValueGetter

    public static class ValueGetter.NDR
    extends ValueGetter

### Nested Class Summary

### Nested classes/interfaces inherited from class net.postgis.jdbc.geometry.binary.ValueGetter

`ValueGetter.NDR, ValueGetter.XDR`

### Field Summary

Fields
`static byte` `NUMBER`

### Fields inherited from class net.postgis.jdbc.geometry.binary.ValueGetter

`endian`

### Constructor Summary

Constructors
`NDR​(ByteGetter data)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected int` `getInt​(int index)` Get a 32-Bit integer
`protected long` `getLong​(int index)` Get a long value.

### Methods inherited from class net.postgis.jdbc.geometry.binary.ValueGetter

`getByte, getDouble, getInt, getLong`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### NUMBER

    public static final byte NUMBER

See Also:
  Constant Field Values

### Constructor Detail

#### NDR

    public NDR​(ByteGetter data)

### Method Detail

#### getInt

    protected int getInt​(int index)

Description copied from class: `ValueGetter`
Get a 32-Bit integer

Specified by:
  `getInt` in class `ValueGetter`
Parameters:
  `index` - the index to get the value from
Returns:
  the int value

#### getLong

    protected long getLong​(int index)

Description copied from class: `ValueGetter`
Get a long value. This is not needed directly, but as a nice side-effect from GetDouble.

Specified by:
  `getLong` in class `ValueGetter`
Parameters:
  `index` - the index to get the value from
Returns:
  the long value